Subject: Rename $omitSignalinformation to $passSignallnformation

Description

A flag that comes with double negation by default should be avoided, thus we should invert the name and meaning here.

Note: do we actually need this? If we keep it, maybe make the signal information an array, so it's easier to amend in the future?
Currently the simple string with classname and method name is a little limited in expressiveness.

Associated revisions

Revision ea7b6619 - 2011-07-04 18:06 - Karsten Dambekalns

['M[TASK] Change $omitSignallnformation in SignalSlot

The name has been changed to $passSignallnformation and meaning as well
as default have been inverted. If you were not using the flag, nothing
changes, if you were, you need to flip the flag.

Change-Id: 1e878157242fb76117b27ee9d23a4dda67b4b8d0d

Resolves: #27613

History

#1 - 2011-06-21 14:52 - Robert Lemke

Karsten Dambekalns wrote:

A flag that comes with double negation by default should be avoided, thus we should invert the name and meaning here.

fine, make sure to check our projects for any occurrence ...

Note: do we actually need this? If we keep it, maybe make the signal information an array, so it's easier to amend in the future? Currently the

simple string with classname and method name is a little limited in expressiveness.

But what other information could you imagine?

#2 - 2011-06-22 16:20 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
Ok, we'll leave the signal information as is, and only rename the parameter.

#3 - 2011-06-27 22:09 - Mr. Hudson

- Status changed from Accepted to Under Review

Patch set 1 of change 1e878157242fb76117b27ee9d23a4dda67b4b8d0d has been pushed to the review server.
It is available at http://review.typo3.org/2935

#4 - 2011-07-04 18:07 - Mr. Hudson

Patch set 2 of change 1€878157242fb76117b27ee9d23a4dda67b4b8d0d has been pushed to the review server.
It is available at http://review.typo3.org/2935

#5 - 2011-07-06 11:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:ea7b661955f18cb1a8d53812fdfd9d7bdd501a0f.
